import {fetchBase} from '@/api/doctor/doctorFetch'

// 居民档案ID查询居民信息
export function queryResidentInfo(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-residents-record/detailed`, body: params, loading: true })
}

// 居民档案ID查询居民死亡信息
export function getResidentsDeath(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-residents-death/info-record`,body: params,loading: true})
}

//更新居民基本信息
export function updateResident(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-residents-record/update`, body: params, loading: true })
}

// 慢性病管理列表查询
export function getResidentByPage(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-residents-record/page`, body: params, loading: true })
}

export function getResidentByIdCard(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-residents-record/check-info`, body: params, loading: true })
}

//转诊列表查询
export function getReferralList(params, loading) {
    return fetchBase({ url: `/chronic-admin/v1/base-info/referral-list`, body: params, loading })
}

// 会诊列表查询
export function getConsultationList(params, loading) {
    return fetchBase({ url: `/chronic-admin/v1/base-info/consultation-list`, body: params, loading })
}

// 获取用户配置
export function getUserConfig() {
    return fetchBase({ url: `/tumour-admin/v1/sys-user-config/query-by-user`, loading: true })
}

// 添加个性化配置
export function addUserConfig(params, loading = true) {
    return fetchBase({ url: `/tumour-admin/v1/sys-user-config/add-config`, body: params, loading })
}

// 修改个性化配置
export function updateUserConfig(params, loading = true) {
    return fetchBase({ url: `/tumour-admin/v1/sys-user-config/update-config`, body: params, loading })
}